classification
Title: Descriptions of os.utime() and os.utimensat() use wrong notation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: cvrebert, docs@python, eric.araujo, ezio.melotti, georg.brandl, hynek, petri.lehtinen
Priority: low Keywords: easy

Created on 2012-05-21 11:50 by hynek, last changed 2012-12-27 10:05 by hynek. This issue is now closed.

Messages (3)
msg161264 - (view) Author: Hynek Schlawack (hynek) * (Python committer) Date: 2012-05-21 11:50
It says:

> os.utimensat(dirfd, path[, atime=(atime_sec, atime_nsec), mtime=(mtime_sec, mtime_nsec), flags=0])
> Updates the timestamps of a file with nanosecond precision. The atime and mtime tuples default to None, which sets those values to the current time.

It should be the other way around: atime=None, mtime=None in the signature and explain in the body how they look like. It looks like atime_sec and atime_nsec are some magic constants this way.
msg161268 - (view) Author: Petri Lehtinen (petri.lehtinen) * (Python committer) Date: 2012-05-21 11:56
os.utime() uses the same notation:

   os.utime(path[, times, *, ns=(atime_ns, mtime_ns)])
msg178290 - (view) Author: Hynek Schlawack (hynek) * (Python committer) Date: 2012-12-27 10:05
Turns out, Larry fixed these two while working on #14626.
History
Date User Action Args
2012-12-27 10:05:03hyneksetstatus: open -> closed
resolution: fixed
messages: + msg178290

stage: needs patch -> resolved
2012-08-27 09:18:26cvrebertsetnosy: + cvrebert
2012-08-07 10:59:56ezio.melottisettype: enhancement
stage: needs patch
2012-05-21 11:56:03petri.lehtinensetnosy: + petri.lehtinen

messages: + msg161268
title: os.utimensat's method description uses wrong notation -> Descriptions of os.utime() and os.utimensat() use wrong notation
2012-05-21 11:50:05hynekcreate